[DRE-commits] [vagrant-mutate] 03/05: Add DEP-8 smoke test
Antonio Terceiro
terceiro at moszumanska.debian.org
Thu Feb 2 16:18:56 UTC 2017
This is an automated email from the git hooks/post-receive script.
terceiro pushed a commit to branch master
in repository vagrant-mutate.
commit 5984b7b2715ed2afa6dff7c8dfe4aace79b9cc8a
Author: Antonio Terceiro <terceiro at debian.org>
Date: Thu Feb 2 12:35:13 2017 -0200
Add DEP-8 smoke test
---
debian/changelog | 1 +
debian/tests/control | 2 ++
debian/tests/virtualbox2libvirt | 18 ++++++++++++++++++
3 files changed, 21 insertions(+)
diff --git a/debian/changelog b/debian/changelog
index 6ea81b3..25d106a 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -3,6 +3,7 @@ vagrant-mutate (1.2.0-3) UNRELEASED; urgency=medium
* Team upload.
* debian/rules: install using the Rubygems layout (Closes: #NNNNNN)
* Add dependency on vagrant
+ * Add DEP-8 smoke test
-- Antonio Terceiro <terceiro at debian.org> Thu, 02 Feb 2017 11:47:08 -0200
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..29a52eb
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,2 @@
+Tests: virtualbox2libvirt
+Depends: @, distro-info
diff --git a/debian/tests/virtualbox2libvirt b/debian/tests/virtualbox2libvirt
new file mode 100755
index 0000000..f1271d2
--- /dev/null
+++ b/debian/tests/virtualbox2libvirt
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+exec 2>&1
+set -exu
+
+release=$(debian-distro-info --stable)
+box=debian/${release}64
+
+if [ -z "${ADTTMP:-}" ]; then
+ ADTTMP=$(mktemp -d)
+ trap "rm -rf $ADTTMP" INT TERM EXIT
+fi
+
+vagrant plugin list
+vagrant global-status
+
+vagrant box add --force $box
+vagrant mutate $box libvirt
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-ruby-extras/vagrant-mutate.git
More information about the Pkg-ruby-extras-commits
mailing list